Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.nls
Interface CatalogNLSLibrary

All Superinterfaces:
  NLSLibrary

    public interface CatalogNLSLibrary

extends NLSLibrary

Method Summary
`java.util.List<java.awt.Font>` | `getFontKeys()` Gets Font Keys from the Catalog NLS library.
`java.util.List<java.lang.String>` | `getFormatKeys()` Gets Format Keys from the Catalog NLS library.
`java.util.Map<NLSType,java.util.List<java.lang.String>>` | `getTextKeys()` Gets Text Keys from the Catalog NLS library.

Methods inherited from interface jet.server.api.nls.NLSLibrary
`containsLocale, getAvailableLocales, getFontNLSEntries, getFontNLSEntry, getFormatNLSEntries, getFormatNLSEntry, getNLSEntries, getTextNLSEntries, getTextNLSEntry, removeFontNLSEntries, removeFontNLSEntry, removeFormatNLSEntries, removeFormatNLSEntry, removeNLSEntries, removeNLSEntries, removeNLSEntry, removeTextNLSEntries, removeTextNLSEntry, updateFontNLSEntries, updateFontNLSEntry, updateFormatNLSEntries, updateFormatNLSEntry, updateNLSEntries, updateNLSEntry, updateTextNLSEntries, updateTextNLSEntry`

Method Detail

### getTextKeys

    java.util.Map<NLSType,java.util.List<java.lang.String>> getTextKeys()

  Gets Text Keys from the Catalog NLS library.

  Returns:
    A Map which contains all Text Keys, and its key is Text type, the value is a List which contains all text keys.

### getFormatKeys

    java.util.List<java.lang.String> getFormatKeys()

  Gets Format Keys from the Catalog NLS library.

  Returns:
    A List which contains all Format keys.

### getFontKeys

    java.util.List<java.awt.Font> getFontKeys()

  Gets Font Keys from the Catalog NLS library.

  Returns:
    A List which contains all Font keys.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD